package cd.casic.ci.common.pipeline.pojo.secret;

import lombok.Data;
import okhttp3.Request;

import java.util.Map;

/**
 * @author by mianbin
 * @Classname HeaderSecretParam
 * @Description TODO
 * @Date 2025/4/2 9:45
 */
@Data
class HeaderSecretParam implements ISecretParam {
    private Map<String, String> headers;

    @Override
    public void secret(Request.Builder builder) {
        for (Map.Entry<String, String> header : headers.entrySet()) {
            builder.header(header.getKey(), header.getValue());
        }
    }

    public static final String classType = "header";
}
