package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentInfo
 * @Description TODO
 * @Date 2025/4/8 21:20
 */
@Data
public class ThirdPartyAgentInfo {
    @Schema(title = "Agent Hash ID", required = true)
    private String agentId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "状态")
    private String status;
    @Schema(title = "主机名", required = true)
    private String hostname;
    @Schema(title = "IP地址", required = true)
    private String ip;
    @Schema(title = "节点名", required = true)
    private String displayName;
    @Schema(title = "详细名称", required = false)
    private String detailName;
}
