package cd.casic.ci.process.engine.worker;

import cd.casic.ci.common.pipeline.annotation.Plugin;
import cd.casic.ci.process.engine.runContext.TaskRunContext;
import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;


@Slf4j
//@Plugin(taskType = "test")
public class TestWorker extends BaseWorker{


    @Override
    public void execute(TaskRunContext context) {
        PipBaseElement contextDef = context.getContextDef();
        String id = contextDef.getId();
        log.info("==============触发worker执行========");
        log.info("==========运行context：{}===========", JSON.toJSONString(context));
    }
}
