package cd.casic.ci.project.dal.pojo;


import cd.casic.ci.project.dal.pojo.user.UserDeptDetail;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Schema(description = "项目-资源创建模型")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AuthProjectCreateInfo {

    @Schema(description = "用户id")
    private Long userId;
    @Schema(description = "accessToken")
    private String accessToken;
    @Schema(description = "用户部门详细")
    private UserDeptDetail userDeptDetail;
    @Schema(description = "iamSubjectScopes")
    private List<SubjectScopeInfo> subjectScopes;
    @Schema(description = "projectCreateInfo")
    private ProjectCreateInfo projectCreateInfo;
    @Schema(description = "审批状态")
    private Integer approvalStatus;
}
