package cd.casic.pipeline.store.pojo.image.request;

import cd.casic.pipeline.store.pojo.image.enums.ImageStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "镜像状态信息修改请求报文体")
public class ImageStatusInfoUpdateRequest {
    @Schema(title = "镜像状态", required = false)
    private ImageStatusEnum imageStatus;
    
    @Schema(title = "镜像状态变更时间", required = false)
    private LocalDateTime statusChangeTime;
}