package cd.casic.ci.log.dal.pojo;

import cd.casic.ci.log.dal.pojo.enums.LogStorageMode;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname QueryLogStatus
 * @Date 2025/3/19 17:45
 */
@Data
@AllArgsConstructor
@Schema(description = "日志状态查询模型")
public class QueryLogStatus {
    @Schema(description = "构建ID", required = true)
    private String buildId;
    @Schema(description = "是否结束", required = true)
    private boolean finished;
    @Schema(description = "日志存储状态")
    private LogStorageMode logMode;
}
