package cd.casic.ci.log.log;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname LogStatusEvent
 * @Description 目前不是广播事件，留着后面用mq时候会用到。
 * @Date 2025/3/20 10:49
 */
@Data
@AllArgsConstructor
public class LogStatusEvent extends ILogEvent{
    private String buildId;
    private Boolean finished;
    private String tag;
    private String subTag;
    private String jobId;
    private int executeCount;
    private int retryTime = 2;
    private int delayMills = 0;
}
