package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.ChannelCode;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname PipelineTimer
 * @Description TODO
 * @Date 2025/3/31 17:01
 */
@Data
@AllArgsConstructor
public class PipelineTimer {
    private String projectId;
    private String pipelineId;
    private String startUser;
    private List<String> crontabExpressions;
    private ChannelCode channelCode;
    private String repoHashId;
    private List<String> branchs;
    private Boolean noScm;
}
