package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.VMBaseOS;
import cd.casic.ci.common.pipeline.type.BuildType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineContainerMonitor
 * @Date：2025/03/24 15:57
 * @Filename：PipelineContainerMonitor
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型-容器监控信息")
public class PipelineContainerMonitor {
    @Schema(title = "操作系统类型", required = false)
    private VMBaseOS osType;
    @Schema(title = "创建类型", required = false)
    private BuildType buildType;
    @Schema(title = "最长启动时间", required = false)
    private long maxStartupTime;
    @Schema(title = "最长执行时间", required = false)
    private long maxExecuteTime;
    @Schema(title = "用户列表", required = false)
    private List<String> users;
}
