package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PipelineYamlInfo
 * @Description TODO
 * @Date 2025/3/31 17:44
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "流水线yml关联")
public class PipelineYamlInfo {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "代码库ID")
    private String repoHashId;
    @Schema(title = "ci文件路径")
    private String filePath;
    @Schema(title = "流水线ID")
    private String pipelineId;
    @Schema(title = "yaml文件状态")
    private String status;
    @Schema(title = "流水线创建者")
    private String creator;
    @Schema(title = "默认分支")
    private String defaultBranch;
}
