package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname PrefetchReleaseResult
 * @Description TODO
 * @Date 2025/3/31 17:47
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "配置流水线结果")
public class PrefetchReleaseResult {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;

    @Schema(title = "流水线名称", required = true)
    private String pipelineName;

    @Schema(title = "草稿版本号", required = true)
    private int version;

    @Schema(title = "发布版本号", required = false)
    private int newVersionNum;

    @Schema(title = "生成版本名称", required = false)
    private String newVersionName;
}
