package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：MarketTemplateRequest
 * @Date：2025/03/24 18:55
 * @Filename：MarketTemplateRequest
 * @description：Todo
 */
@Data
public class MarketTemplateRequest {
    @Schema(title = "项目列表", required = true)
    private ArrayList<String> projectCodeList;
    @Schema(title = "模板代码", required = true)
    private String templateCode;
    @Schema(title = "模板名称", required = true)
    private String templateName;
    @Schema(title = "模板logo", required = false)
    private String logoUrl;
    @Schema(title = "范畴代码列表", required = false)
    private List<String> categoryCodeList;
    @Schema(title = "是否为公共模版", required = true)
    private Boolean publicFlag;
    @Schema(title = "发布者", required = false)
    private String publisher;
}
