package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.pojo.BuildFormProperty;
import cd.casic.ci.common.pipeline.pojo.BuildNo;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateInstanceUpdate
 * @Date：2025/03/24 19:08
 * @Filename：TemplateInstanceUpdate
 * @description：Todo
 */
public class TemplateInstanceUpdate {
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "流水线那名称", required = false)
    private String pipelineName;
    @Schema(title = "构建版本号", required = false)
    private BuildNo buildNo;
    @Schema(title = "流水线变量列表, 建议先通过v4_app_template_get获取，再按需修改。", required = false)
    private List<BuildFormProperty> param;
    @Schema(title = "重置实例推荐版本为基准值", required = false)
    private Boolean resetBuildNo;
}
