package cd.casic.pipeline.store.pojo.image.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "镜像基本信息（不影响执行的信息）修改请求报文体")
public class ImageBaseInfoUpdateRequest {
    @Schema(title = "镜像名称", required = false)
    private String imageName;
    
    @Schema(title = "所属分类ID", required = false)
    private String classifyId;
    
    @Schema(title = "功能标签", required = false)
    private List<String> labelIdList;
    
    @Schema(title = "镜像所属范畴CATEGORY_CODE", required = false)
    private String category;
}